<div class="docs-primary-header component-page-header">
  <mat-chip-list>
      <mat-chip>
          <mat-icon>home</mat-icon>
          <a routerLink="/dashboard">Home</a> /
          <a routerLink="/country">Country</a>/Deleted Countries
      </mat-chip>
  </mat-chip-list>
</div>

<!-- <button mat-fab (click)="sidenav1.toggle() && resetform()" class="float-button">
  <mat-icon matTooltip="Add Category">add</mat-icon>
</button> --> 

<div style="padding:15px;" class="appereance">
  <div class="example-container mat-elevation-z2 radius">
    <div class="title">
      <span>DELETED COUNTRIES</span>
      <div style="flex-grow:1;"></div>
      <a routerLink="/country" style="font-size: 16px;padding: 5px;">Countries</a>&nbsp;
    
      <button mat-raised-button style="cursor: pointer;" (click)="delete()" color="accent">RECOVER</button> 
    </div>
    <div class="example-header">
      <mat-form-field>
        <input matInput (keyup)="applyFilter($event.target.value)" placeholder="Filter">
      </mat-form-field>
    </div>

    <mat-table #table [dataSource]="dataSource" matSort>

      <ng-container matColumnDef="country_id">
        <mat-header-cell *matHeaderCellDef mat-sort-header> ID. </mat-header-cell>
        <mat-cell *matCellDef="let element; let i=index"> {{i+1}} </mat-cell>
      </ng-container>

      <!-- <ng-container matColumnDef="category_image">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Image </mat-header-cell>
        <mat-cell *matCellDef="let element">
            <img  [src]="element.category_image==null? 'http://13.236.78.106/api/No_image_available.svg.png':element.category_image" width="50px"> 
        </mat-cell>
      </ng-container> -->


      <ng-container matColumnDef="country">
        <mat-header-cell *matHeaderCellDef mat-sort-header> Country </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.country}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="gst">
        <mat-header-cell *matHeaderCellDef mat-sort-header> GST </mat-header-cell>
        <mat-cell *matCellDef="let element"> {{element.gst}} </mat-cell>
      </ng-container>

     
      <ng-container matColumnDef="action">
        <mat-header-cell *matHeaderCellDef>
          <mat-checkbox (change)="alltogglecheck($event.checked,posts)"
          [checked]="allsel"   [indeterminate]="this.intsel > 0 ? true : false"
              >
          </mat-checkbox>
        </mat-header-cell>
        <mat-cell *matCellDef="let row">  
          <mat-checkbox  (change)="sendIDS($event.checked,row.country_id,posts.length)"
                        [checked]="sel">
          </mat-checkbox>
        </mat-cell>
      </ng-container>

      <mat-header-row *matHeaderRowDef="['country_id','country', 'gst','action']"></mat-header-row>
      <mat-row *matRowDef="let row; columns: ['country_id','country', 'gst','action']"></mat-row>

    </mat-table>

    <mat-paginator [length]="100" [pageSize]="5" [pageSizeOptions]="[5, 10, 25, 100]">
    </mat-paginator>
  </div>
</div>

